Subject: [Rfced-future] Fwd: New Version Notification for draft-iab-rfcefdp-rfced-model-08.txt

From: Peter Saint-Andre <[email-masked]>
Date: Fri, 7 Jan 2022 16:53:23 -0700

As promised...

-------- Forwarded Message --------
Subject: New Version Notification for draft-iab-rfcefdp-rfced-model-08.txt
Date: Fri, 07 Jan 2022 15:52:19 -0800
From: [email-masked]
To: Peter Saint-Andre <[email-masked]>

A new version of I-D, draft-iab-rfcefdp-rfced-model-08.txt
has been successfully submitted by Peter Saint-Andre and posted to the
IETF repository.

Name:		draft-iab-rfcefdp-rfced-model
Revision:	08
Title:		RFC Editor Model (Version 3)
Document date:	2022-01-07
Group:		iab
Pages:		31
URL: 
https://www.ietf.org/archive/id/draft-iab-rfcefdp-rfced-model-08.txt
Status: 
https://datatracker.ietf.org/doc/draft-iab-rfcefdp-rfced-model/
Htmlized: 
https://datatracker.ietf.org/doc/html/draft-iab-rfcefdp-rfced-model
Diff: 
https://www.ietf.org/rfcdiff?url2=draft-iab-rfcefdp-rfced-model-08

Abstract:
    This document specifies version 3 of the RFC Editor Model.  The model
    defines two high-level tasks related to the RFC Series.  First,
    policy definition is the joint responsibility of the RFC Series
    Working Group (RSWG), which produces policy proposals, and the RFC
    Series Approval Board (RSAB), which approves such proposals.  Second,
    policy implementation is primarily the responsibility of the RFC
    Production Center (RPC) as contractually overseen by the IETF
    Administration Limited Liability Company (IETF LLC).

    This document obsoletes RFC 8728.  This document updates RFC 7841,
    RFC 8729, and RFC 8730.

The IETF Secretariat

---

From: Brian E Carpenter <[email-masked]>
Date: Sat, 8 Jan 2022 14:13:04 +1300

Looks pretty good to me. One thing:

> The RSAB member believes, based on the results of the community call(s) for comment Section 3.2.3, that there is no consensus to advance the proposal.

Should that be "no rough consensus" to avoid any doubt?

Regards
    Brian

---

From: Eric Rescorla <[email-masked]>
Date: Fri, 7 Jan 2022 17:29:01 -0800

Perhaps "not rough consensus" would be even more grammatical

On Fri, Jan 7, 2022 at 5:13 PM Brian E Carpenter <
[email-masked]> wrote:

> > The RSAB member believes, based on the results of the community call(s)
> for comment Section 3.2.3, that there is no consensus to advance the
> proposal.
>
> --
> Rfced-future mailing list
> [email-masked]
> https://www.iab.org/mailman/listinfo/rfced-future
>

---

From: Peter Saint-Andre <[email-masked]>
Date: Fri, 7 Jan 2022 18:40:42 -0700

I'd prefer "rough consensus to the advance the proposal is lacking."

On 1/7/22 6:29 PM, Eric Rescorla wrote:
> On Fri, Jan 7, 2022 at 5:13 PM Brian E Carpenter 
> <[email-masked] <mailto:[email-masked]>> wrote:
> 
>      > The RSAB member believes, based on the results of the community
>     call(s) for comment Section 3.2.3, that there is no consensus to
>     advance the proposal.
> 
>      > From: [email-masked] <mailto:[email-masked]>
>      > To: Peter Saint-Andre <[email-masked]
>     <mailto:[email-masked]>>
>      >
>      >
>     <https://www.ietf.org/archive/id/draft-iab-rfcefdp-rfced-model-08.txt>
>      > Status:
>     <https://datatracker.ietf.org/doc/draft-iab-rfcefdp-rfced-model/>
>      > Htmlized:
>      >
>     <https://datatracker.ietf.org/doc/html/draft-iab-rfcefdp-rfced-model>
>      > Diff:
>      >
>     <https://www.ietf.org/rfcdiff?url2=draft-iab-rfcefdp-rfced-model-08>
>      >
>      > Abstract:
>     [email-masked] <mailto:[email-masked]>
>     <https://www.iab.org/mailman/listinfo/rfced-future>
> 
>

---

From: Brian E Carpenter <[email-masked]>
Date: Sat, 8 Jan 2022 15:14:47 +1300

wfm

Regards
    Brian

---

From: Eric Rescorla <[email-masked]>
Date: Fri, 7 Jan 2022 19:00:26 -0800

LGTM

On Fri, Jan 7, 2022 at 6:14 PM Brian E Carpenter <
[email-masked]> wrote:

> >>       > From: [email-masked] <mailto:[email-masked]
> >
> >>      <
> https://www.ietf.org/archive/id/draft-iab-rfcefdp-rfced-model-08.txt>
> >>       > Status:
> >>      <
> https://datatracker.ietf.org/doc/html/draft-iab-rfcefdp-rfced-model>
> >>       > Diff:
> >>       >
> >>      <
> https://www.ietf.org/rfcdiff?url2=draft-iab-rfcefdp-rfced-model-08>
> >>       >
> >>       > Abstract:
> >>       >      This document obsoletes RFC 8728.  This document updates
> RFC
> >>      7841,
> >>       >      RFC 8729, and RFC 8730.
> >>       >
> >>       >
> >>       >
> >>       >
> >>       > The IETF Secretariat
> >>       >
> >>       >
> >>
> >>      --

---

From: "Joel M. Halpern" <[email-masked]>
Date: Fri, 7 Jan 2022 22:08:23 -0500

Works for me.  Thanks.
Joel

On 1/7/2022 10:00 PM, Eric Rescorla wrote:
> LGTM
> 
> On Fri, Jan 7, 2022 at 6:14 PM Brian E Carpenter 
>      >> <[email-masked]
>     <mailto:[email-masked]>
>     <mailto:[email-masked]
>     <mailto:[email-masked]>>> wrote:
>      >>
>      >>       > The RSAB member believes, based on the results of the
>     community
>      >>       > As promised...
>      >>       >
>      >>       >
>      >>       > -------- Forwarded Message --------
>      >>       > Subject: New Version Notification for
>      >>      draft-iab-rfcefdp-rfced-model-08.txt
>      >>       > Date: Fri, 07 Jan 2022 15:52:19 -0800
>      >>       > From: [email-masked]
>     <mailto:[email-masked]> <mailto:[email-masked]
>     <mailto:[email-masked]>>
>      >>       > To: Peter Saint-Andre <[email-masked]
>     <mailto:[email-masked]>
>      >>      <mailto:[email-masked] <mailto:[email-masked]>>>
>      >>       >
>      >>       >
>      >>       > A new version of I-D, draft-iab-rfcefdp-rfced-model-08.txt
>      >>       > has been successfully submitted by Peter Saint-Andre and
>     posted
>      >>      to the
>      >>       > IETF repository.
>      >>       >
>      >>       > Name:         draft-iab-rfcefdp-rfced-model
>      >>       > Revision:     08
>      >>       > Title:                RFC Editor Model (Version 3)
>      >>       > Document date:        2022-01-07
>      >>       > Group:                iab
>      >>       > Pages:                31
>      >>       > URL:
>      >>       >
>      >>
>     <https://www.ietf.org/archive/id/draft-iab-rfcefdp-rfced-model-08.txt <https://www.ietf.org/archive/id/draft-iab-rfcefdp-rfced-model-08.txt>>
>      >>       > Status:
>      >>       >
>     <https://datatracker.ietf.org/doc/draft-iab-rfcefdp-rfced-model/
>     <https://datatracker.ietf.org/doc/draft-iab-rfcefdp-rfced-model/>>
>      >>       > Htmlized:
>      >>       >
>      >>
>     <https://datatracker.ietf.org/doc/html/draft-iab-rfcefdp-rfced-model
>     <https://datatracker.ietf.org/doc/html/draft-iab-rfcefdp-rfced-model>>
>      >>       > Diff:
>      >>       >
>      >>
>     <https://www.ietf.org/rfcdiff?url2=draft-iab-rfcefdp-rfced-model-08
>     <https://www.ietf.org/rfcdiff?url2=draft-iab-rfcefdp-rfced-model-08>>
>      >>       >
>      >>       > Abstract:
>      >>       >      This document specifies version 3 of the RFC Editor
>     Model.
>      >>      The model
>      >>       >      defines two high-level tasks related to the RFC
>     Series.  First,
>      >>       >      policy definition is the joint responsibility of
>     the RFC Series
>      >>       >      Working Group (RSWG), which produces policy
>     proposals, and
>      >>      the RFC
>      >>       >      Series Approval Board (RSAB), which approves such
>      >>      proposals.  Second,
>      >>       >      policy implementation is primarily the
>     responsibility of the RFC
>      >>       >      Production Center (RPC) as contractually overseen
>     by the IETF
>      >>       >      Administration Limited Liability Company (IETF LLC).
>      >>       >
>      >>       >      This document obsoletes RFC 8728.  This document
>     updates RFC
>      >>      7841,
>      >>       >      RFC 8729, and RFC 8730.
>      >>       >
>      >>       >
>      >>       >
>      >>       >
>      >>       > The IETF Secretariat
>      >>       >
>      >>       >
>      >>
>      >>      --
>     <mailto:[email-masked] <mailto:[email-masked]>>
>      >>      <https://www.iab.org/mailman/listinfo/rfced-future
>     <https://www.iab.org/mailman/listinfo/rfced-future>>
>      >>
>      >>
>      >
> 
>

---

From: Eliot Lear <[email-masked]>
Date: Sat, 8 Jan 2022 09:24:59 +0100

Ok.  Thanks, Peter yet again.  That was a lot of work.  As I see it, 
this update has addressed the following issues:

  * Issue 132: What happens if a vote doesn't pass?
  * Issue 134: How do we update this document
  * Issue 143: public archive of RSAB
  * Issue 144: other modes of operation
  * Issue 145: CONCERN for unaddressed comments
  * Issue 146: RPC Core responsibilities

Issue 147 required no edits, at least at this time.

Please consider this message a consensus check on all issues above, 
except 132 for which we already had consensus on the text. Please 
comment no later than the 22nd of January.

Eliot

On 08.01.22 00:53, Peter Saint-Andre wrote:
> URL: https://www.ietf.org/archive/id/draft-iab-rfcefdp-rfced-model-08.txt
> Status: https://datatracker.ietf.org/doc/draft-iab-rfcefdp-rfced-model/
> Htmlized: 
> Diff: https://www.ietf.org/rfcdiff?url2=draft-iab-rfcefdp-rfced-model-08
>
> Abstract:

---

From: Mark Nottingham <[email-masked]>
Date: Sun, 9 Jan 2022 19:23:40 +1100

Hi Peter,

Thanks. Looking through the diffs, I noticed a few things:

* "The RSWG is empowered to hold in-person or online-only meetings" -- this wording could be interpreted to prevent hybrid meetings, or online participation in in-person meetings.

* "The RSAB consists primarily of certain voting members.  As specified herein, the RSAB also includes certain non-voting members." -- this is quite wordy...

* "The RFC Series Consulting Editor, in effect representing the Editorial Stream" -- my understanding was that the RSCE's inclusion on the RSAB was not only for this purpose, so this could mislead. Also, it makes this text somewhat contradictory: "Note: this method of handling vacancies does not apply to a vacancy of the RSCE role, To ensure the smooth operation of the RFC Series, the RSAB shall only of the stream representatives enumerated above."

* "Email messages sent to the RSAB email discussion list or exchanged among all members of the RSAB shall be publicly archived..." -- I think the "or exchanged among all members of the RSAB" clause is impractical and ineffective, and it should be removed. I don't feel strongly about it to formally object, though.

Cheers,

> On 8 Jan 2022, at 10:53 am, Peter Saint-Andre <[email-masked]> wrote:
> 
> As promised...
> 
> 
> Htmlized: https://datatracker.ietf.org/doc/html/draft-iab-rfcefdp-rfced-model

--
Mark Nottingham   https://www.mnot.net/

---

From: Eliot Lear <[email-masked]>
Date: Sun, 9 Jan 2022 09:59:42 +0100

Hi Mark,

Just on one point:

> * "The RSWG is empowered to hold in-person or online-only meetings" -- this wording could be interpreted to prevent hybrid meetings, or online participation in in-person meetings.

Do you have a good wording suggestion for this, bearing in mind the text 
below?

>     The RSWG may decide by rough consensus to use additional tooling
>     (e.g., GitHub as specified in [RFC8874  <https://datatracker.ietf.org/doc/html/rfc8874>]), forms of communication, and
>     working methods (e.g., design teams) as long as they are consistent
>     with [RFC2418  <https://datatracker.ietf.org/doc/html/rfc2418>].

Thanks,

Eliot

---

From: Mark Nottingham <[email-masked]>
Date: Sun, 9 Jan 2022 20:21:47 +1100

Not particularly. The previous text was fairly matter-of-fact, explaining the nature of meetings, whereas this (through use of "empowered" and the seemingly exclusive "or") seems more prohibitive. You are right to point out that it can be varied, so maybe it's isn't such a big deal.

Cheers,

> On 9 Jan 2022, at 7:59 pm, Eliot Lear <[email-masked]> wrote:
> 
> Hi Mark,
> 
> Just on one point:
> 
> Do you have a good wording suggestion for this, bearing in mind the text below?
> 
> 
>>    (e.g., GitHub as specified in [
>> RFC8874
>> ]), forms of communication, and
>>    with [
>> RFC2418
>> ].

---

From: Stephen Farrell <[email-masked]>
Date: Sun, 9 Jan 2022 12:04:23 +0000

On 09/01/2022 08:23, Mark Nottingham wrote:
> * "Email messages sent to the RSAB email discussion list or exchanged
> among all members of the RSAB shall be publicly archived..." -- I
> think the "or exchanged among all members of the RSAB" clause is
> impractical and ineffective, and it should be removed.

+1 - seems better to only publicly archive the "main" RSAB
list.

S.

---

From: Peter Saint-Andre <[email-masked]>
Date: Mon, 10 Jan 2022 18:58:08 -0700

> +1 - seems better to only publicly archive the "main" RSAB

Proposed text...

OLD

    The RSAB shall keep a public record of its proceedings, including
    minutes of all meetings and a record of all decisions.  Email
    messages sent to the RSAB email discussion list or exchanged among
    all members of the RSAB shall be publicly archived, with the
    exception of topics that require confidentiality (e.g., personnel
    matters).  Similarly, meeting minutes may exclude detailed
    information about topics discussed under executive session, but
    should note that such topics were discussed.

NEW

    The RSAB shall keep a public record of its proceedings, including
    minutes of all meetings and a record of all decisions. The primary
    email discussion list used by the RSAB shall be publicly archived,
    although topics that that require confidentiality (e.g., personnel
    matters) may be elided from such archives or discussed in private.
    Similarly, meeting minutes may exclude detailed information about
    topics discussed under executive session, but should note that such
    topics were discussed.

/psa

---

From: Mark Nottingham <[email-masked]>
Date: Tue, 11 Jan 2022 13:01:02 +1100

LGTM

> On 11 Jan 2022, at 12:58 pm, Peter Saint-Andre <[email-masked]> wrote:
>

---

From: Martin J. Dürst <[email-masked]>
Date: Tue, 11 Jan 2022 12:11:37 +0900

s/that that/that/

otherwise fine.

Regards,   Martin.

-- 
Prof. Dr.sc. Martin J. Dürst
Department of Intelligent Information Technology
College of Science and Engineering
Aoyama Gakuin University
Fuchinobe 5-1-10, Chuo-ku, Sagamihara
252-5258 Japan

---

From: Peter Saint-Andre <[email-masked]>
Date: Thu, 13 Jan 2022 15:04:11 -0700

Hi Mark,

It seems that I missed this feedback when publishing the new version 
today. My apologies for that. I can submit -10 to fix these issues, or 
wait until after this next review period.

Peter

---

From: Eliot Lear <[email-masked]>
Date: Thu, 13 Jan 2022 23:14:08 +0100

If it's not too much trouble, let's tackle Mark's feedback so we can get 
as clean a version for LC as possible.  Please see below.

On 13.01.22 23:04, Peter Saint-Andre wrote:
>> * "The RSWG is empowered to hold in-person or online-only meetings" 
>> -- this wording could be interpreted to prevent hybrid meetings, or 
>> online participation in in-person meetings.

>>
>> * "The RSAB consists primarily of certain voting members.  As 
>> specified herein, the RSAB also includes certain non-voting members." 
>> -- this is quite wordy...

This is editorial.

>>
>> * "The RFC Series Consulting Editor, in effect representing the 
>> Editorial Stream" -- my understanding was that the RSCE's inclusion 
>> on the RSAB was not only for this purpose, so this could mislead. 
>> Also, it makes this text somewhat contradictory: "Note: this method 
>> of handling vacancies does not apply to a vacancy of the RSCE role, 
>> To ensure the smooth operation of the RFC Series, the RSAB shall only 
>> of the stream representatives enumerated above."
This needs to be addressed.
>> impractical and ineffective, and it should be removed. I don't feel 
>> strongly about it to formally object, though.

This is addressed, I think.

Eliot

---

From: Peter Saint-Andre <[email-masked]>
Date: Thu, 13 Jan 2022 15:57:46 -0700

>>> -- this is quite wordy...

Fixed in my working version.

> This needs to be addressed.

In my working version I've removed the "in effect" clause.

> This is addressed, I think.

Already fixed in -09.

Expect -10 momentarily.

Peter

---

From: Mark Nottingham <[email-masked]>
Date: Fri, 14 Jan 2022 10:49:47 +1100

> On 14 Jan 2022, at 9:57 am, Peter Saint-Andre <[email-masked]> wrote:
> 

So, that makes the RSCE the official representative of the Editorial stream. Is that our intent?

If so, this note has become self-contradictory:

> Note: this method of handling vacancies does not apply to a vacancy of the RSCE role, handling vacancies does not apply to a vacancy of the RSCE role, only of the stream representatives enumerated above.

... as the RSCE *is* 'one of the stream representatives enumerated above.'

Cheers,

---

From: Peter Saint-Andre <[email-masked]>
Date: Thu, 13 Jan 2022 16:57:27 -0700

> So, that makes the RSCE the official representative of the Editorial stream. Is that our intent?

No. The next text saiys:

    The RSAB consists primarily of the following voting members:

    *  As the stream representative for the IETF stream, an IESG member
       or other person appointed by the IESG

    *  As the stream representative for the IAB stream, an IAB member or
       other person appointed by the IAB

    *  As the stream representative for the IRTF stream, the IRTF chair
       or other person appointed by the IRTF Chair

    *  As the stream representative for the Independent stream, the
       Independent Submissions Editor (ISE) [RFC8730] or other person
       appointed by the ISE

    *  The RFC Series Consulting Editor

Therefore the RSCE is NOT a stream representative.

Peter

---

From: Mark Nottingham <[email-masked]>
Date: Fri, 14 Jan 2022 10:58:26 +1100

Ah - I thought you'd just removed "in effect" -- looks good.

Thanks,

> On 14 Jan 2022, at 10:57 am, Peter Saint-Andre <[email-masked]> wrote:
>

---

From: Peter Saint-Andre <[email-masked]>
Date: Thu, 13 Jan 2022 16:59:27 -0700

Great.

s/next text saiys/new text says/ :-)

---

From: Brian E Carpenter <[email-masked]>
Date: Fri, 14 Jan 2022 13:28:31 +1300

This may be bike shedding, but I had a horrible thought last night. Sorry to arrive with this at such a late stage.

"RFC Series Approval Board (RSAB)"

Suppose an outsider sees this out of context? They might imagine that the RSAB is there to approve RFCs.

We know that this really means "RFC Series Policy Approval Board (RSPAB)".

Regards
    Brian Carpenter

---

From: Mark Nottingham <[email-masked]>
Date: Fri, 14 Jan 2022 11:30:38 +1100

Well found.

Friendly amendment: "Board for Approval of RFC Series Policy" -- a.k.a. "BARSP".

Cheers,

> On 14 Jan 2022, at 11:28 am, Brian E Carpenter <[email-masked]> wrote:
>

---

From: Peter Saint-Andre <[email-masked]>
Date: Thu, 13 Jan 2022 17:38:04 -0700

On 1/13/22 5:28 PM, Brian E Carpenter wrote:
> This may be bike shedding, 

It gladdens me that we've reached the bikeshedding phase.

> but I had a horrible thought last night. 
> Sorry to arrive with this at such a late stage.
> 

Might they also imagine that the RSWG is the place where all RFCs are 
developed?

> We know that this really means "RFC Series Policy Approval Board (RSPAB)".

It doesn't exactly roll off the tongue, but I don't particularly care 
about that as long as we've defined roles and responsibilities properly.

Peter

---

From: Brian E Carpenter <[email-masked]>
Date: Fri, 14 Jan 2022 14:11:37 +1300

> Might they also imagine that the RSWG is the place where all RFCs are

I debated that with myself and decided that it really wouldn't
matter - it's the word "Board" that tends to suggest authority.

> about that as long as we've defined roles and responsibilities properly.

Oh, we can discuss the exact title and the font colour, and how to spell
"colour", if we want ;-).

    Brian

---

From: John C Klensin <[email-masked]>
Date: Thu, 13 Jan 2022 20:13:33 -0500

> Friendly amendment: "Board for Approval of RFC Series Policy"

<snark friendliness="probably not">
Which, if we are already wandering around the Bike Shed, could
also be an abbreviation indicating Silly Procedures carried out
in the Bar, presumably accompanied by the sort of strong drink
the procedures may require.  Anyone want to change "RPC" to
either a four-letter abbreviation consistent with others (RSPC
?) or to something else entirely on the grounds that "RPC" could
be interpreted as something having to do with Rendering Pig
Cadavers?  

Noting Peter's comment about RSWG and adding the possibility
that it could actually stand for "RFC Series Writing Group" and
remembering that "RFC" has not actually stood for "Request for
Comment" for many years, may I propose we just stop, assume that
no short abbreviation or acronym we pick will be confusion-proof
for a sufficiently imaginative and clueless reader, and move on?
</snark>

Sigh.
    john

>> This may be bike shedding, but I had a horrible thought last
>> night. Sorry to arrive with this at such a late stage.
>> 
>> Suppose an outsider sees this out of context? They might
>> imagine that the RSAB is there to approve RFCs.
>>

---

From: Brian E Carpenter <[email-masked]>
Date: Fri, 14 Jan 2022 14:39:33 +1300

I can certainly accept "We've thought about it and we don't care"
if there's consensus for that.

(I would, however, hold one "I told you so" in credit for
later use :-)

Before anyone suggests RSPB, https://www.rspb.org.uk/

Regards
    Brian

---

From: John C Klensin <[email-masked]>
Date: Thu, 13 Jan 2022 21:47:46 -0500

(slightly less snarky)

--On Friday, January 14, 2022 14:11 +1300 Brian E Carpenter
<[email-masked]> wrote:

>> Might they also imagine that the RSWG is the place where all
>> RFCs are developed?
> 

But maybe the "B" stands for "Body" or even "Bakery".  Or, more
likely, the "A" is interpreted, not as "Approval" but as
"Advisory".   If we had used "RFCAB", then it would be rational
to assume that it was a group advising on or approving RFCs.
But we picked "RS" to convey the idea that this was about the
Series (not individual documents) and "Approval Board" would
then refer to approving things about the Series and not
individual documents, which, I think, is exactly what we wanted.

FWIW, I also note the IETF's history of choosing atrocious and,
in some cases, so cute as to be deliberately misleading,
abbreviations and acronyms for WGs.  We have also had real world
problems with the Internet Advertising Board and the
Intergalactic Astronomy Bureau probably lies in our near-time
future..  Anyone with any experience reading our documents has
learned to be careful about understanding our acronyms.  FWIW,
the RFC Editor has had longstanding policies about this sort of
thing.

Sorry, but I suspect we have better and more productive ways to
spend our time.  But, because it just came in as I was writing...

--On Friday, January 14, 2022 14:39 +1300 Brian E Carpenter
<[email-masked]> wrote:

> I can certainly accept "We've thought about it and we don't
> care" if there's consensus for that.
> 

But, as sort of suggested above, we've had RSVP (see either
www.rsvp.com or www.rsvp.org).  If one picked a random sample of
people with more than a modicum of training in computer
scientist and ask them what LISP was, how many of them do you
think would guess an IETF WG rather than, for example, something
that would lead them to an obit for John McCarthy
(www.lisp.org)?  Or how about rum?  Nope, Captain Morgan has
been there.  And those don't even get to trying to treat the
terms as acronyms or abbreviations.  If you want to go down that
path, try asap.org.

Going to the birds suddenly feels more attractive.

   john

---

From: Eliot Lear <[email-masked]>
Date: Fri, 14 Jan 2022 11:13:03 +0100

Unless someone feels so strongly about the names that it's showstopper, 
I would like to move on from this discussion.